      program xsolarecl
c
c     Exercise driver for SolarEcl
c
c     B. Knapp, 1994-03-09, 2001-01-03, 2001-04-24 (i*4)
c
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
c
      integer*4 k
      real*8 jde, gamma, u, mag
c
    1 write(*,'(/A$)') ' Enter lunation number k: '
      read(*,*) k
c
      call solarecl( k, jde, gamma, u )
      mag = (1.5433d0+u-abs(gamma))/(0.5461d0+2.d0*u)
c
      write(*,10) jde, gamma, u, mag
   10 format(/'   jde = ', f16.4,
     &       /' gamma = ', f16.4,
     &       /'     u = ', f16.4,
     &       /'   mag = ', f16.4
     &      )
c
      goto 1
      end
